export declare enum TimeUnit {
    Nanoseconds = "ns",
    Microseconds = "\u03BCs",
    Milliseconds = "ms",
    Seconds = "s",
    Minutes = "m",
    Hours = "h",
    Days = "d",
    Weeks = "w",
    Years = "y",
    Decades = "dec",
    Centuries = "cent",
    Millenia = "mil",
}
export declare function convertTime(value: number, unit: string, targetUnit: string): number;
export declare function elapsedToString(elapsed: number, units: string[], {elapsedUnit, showLeadingZeros}?: {
    elapsedUnit?: TimeUnit;
    showLeadingZeros?: boolean;
}): string;
